Package org.eclipse.mat.inspections.collections

# Class HashEntriesQuery

java.lang.Object
org.eclipse.mat.inspections.collections.HashEntriesQuery

All Implemented Interfaces:
  `IQuery`

public class HashEntriesQuery extends Object implements IQuery

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`HashEntriesQuery.Result`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`array_attribute`
`String`
`collection`
`String`
`key_attribute`
`IHeapObjectArgument`
`objects`
`ISnapshot`
`snapshot`
`String`
`value_attribute`

## Constructor Summary

Constructors
Constructor
Description
`HashEntriesQuery()`

## Method Summary

Modifier and Type
Method
Description
`HashEntriesQuery.Result`
`execute(IProgressListener listener)`
The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### snapshot

public ISnapshot snapshot

### objects

public IHeapObjectArgument objects

### collection

public String collection

### array_attribute

public String array_attribute

### key_attribute

public String key_attribute

### value_attribute

public String value_attribute

## Constructor Details

### HashEntriesQuery

public HashEntriesQuery()

## Method Details

### execute

public HashEntriesQuery.Result execute(IProgressListener listener) throws Exception
Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception` - if something went wrong running the query